Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SFP_Object Class Reference

@brief. More...

`#include <sfp.h>`

Inheritance diagram for TAO_SFP_Object:

[legend]
Collaboration diagram for TAO_SFP_Object:

[legend]
List of all members.

## Public Methods
| TAO_SFP_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport)
virtual | ~TAO_SFP_Object (void)
virtual int | handle_input (void)=0
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info=0)
| send a data frame. More...
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info=0)
| send a frame in iovecs. More...
virtual int | send_frame (const char *buf, size_t len)
virtual int | destroy (void)
virtual int | set_policies (const TAO_AV_PolicyList &policies)
| set/get policies. More...
## Protected Methods
ACE_Message_Block * | get_fragment (ACE_Message_Block *&frame, size_t initial_len, size_t &last_mb_orig_len, size_t &last_mb_current_len)
## Protected Attributes
CORBA::ULong | sequence_num_
CORBA::ULong | source_id_
CORBA::Long | max_credit_
CORBA::Long | current_credit_
TAO_SFP_Frame_State | state_

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_SFP_Object::TAO_SFP_Object | ( | TAO_AV_Callback * | callback,
|  | TAO_AV_Transport * | transport
| ) |

TAO_SFP_Object::~TAO_SFP_Object | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_SFP_Object::destroy | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

ACE_Message_Block * TAO_SFP_Object::get_fragment | ( | ACE_Message_Block *& | mb,
|  | size_t | initial_len,
|  | size_t & | last_mb_orig_len,
|  | size_t & | last_mb_current_len
| ) | `[protected]`

virtual int TAO_SFP_Object::handle_input | ( | void |  | ) | `[pure virtual]`

| Reimplemented from TAO_AV_Protocol_Object. Reimplemented in TAO_SFP_Producer_Object, and TAO_SFP_Consumer_Object.

int TAO_SFP_Object::send_frame | ( | const char * | buf,
|  | size_t | len
| ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_SFP_Object::send_frame | ( | const iovec * | iov,
|  | int | iovcnt,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a frame in iovecs. Reimplemented from TAO_AV_Protocol_Object.

int TAO_SFP_Object::send_frame | ( | ACE_Message_Block * | frame,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a data frame. Reimplemented from TAO_AV_Protocol_Object.

int TAO_SFP_Object::set_policies | ( | const TAO_AV_PolicyList & | policies | ) | `[virtual]`

| set/get policies. Reimplemented from TAO_AV_Protocol_Object.

## Member Data Documentation

CORBA::Long TAO_SFP_Object::current_credit_`[protected]`

CORBA::Long TAO_SFP_Object::max_credit_`[protected]`

CORBA::ULong TAO_SFP_Object::sequence_num_`[protected]`

CORBA::ULong TAO_SFP_Object::source_id_`[protected]`

TAO_SFP_Frame_State TAO_SFP_Object::state_`[protected]`

The documentation for this class was generated from the following files:

- sfp.h
- sfp.cpp